Storyden
Posts

Post Update

Publish changes to a single post.

PATCH/posts/{post_id}

Publish changes to a single post.

storyden-session<token>

In: cookie

Path Parameters

post_id*string

Unique post ID.

Request Body

application/json

Create a post within a thread.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/posts/cc5lnd2s1s4652adtu50" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "cc5lnd2s1s4652adtu50",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "misc": {},
  "title": "Hello world!",
  "description": "string",
  "slug": "cc5lnd2s1s4652adtu50-top-10-movies-thread",
  "author": {
    "id": "cc5lnd2s1s4652adtu50",
    "joined": "2019-08-24T14:15:22Z",
    "suspended": "2019-08-24T14:15:22Z",
    "handle": "Southclaws",
    "name": "Barnaby Keene",
    "signature": "<body><p>Sent with love from London!</p></body>",
    "roles": [
      {
        "badge": true,
        "default": true,
        "id": "cc5lnd2s1s4652adtu50",
        "name": "string",
        "colour": "string",
        "meta": {}
      }
    ]
  },
  "visibility": "draft",
  "assets": [
    {
      "id": "cc5lnd2s1s4652adtu50",
      "filename": "string",
      "path": "string",
      "mime_type": "string",
      "width": 0,
      "height": 0,
      "parent": {
        "id": "cc5lnd2s1s4652adtu50",
        "filename": "string",
        "path": "string",
        "mime_type": "string",
        "width": 0,
        "height": 0,
        "parent": {}
      }
    }
  ],
  "reacts": [
    {
      "id": "cc5lnd2s1s4652adtu50",
      "emoji": "string",
      "author": {
        "id": "cc5lnd2s1s4652adtu50",
        "joined": "2019-08-24T14:15:22Z",
        "suspended": "2019-08-24T14:15:22Z",
        "handle": "Southclaws",
        "name": "Barnaby Keene",
        "signature": "<body><p>Sent with love from London!</p></body>",
        "roles": [
          {
            "badge": true,
            "default": true,
            "id": "cc5lnd2s1s4652adtu50",
            "name": "string",
            "colour": "string",
            "meta": {}
          }
        ]
      }
    }
  ],
  "collections": {
    "in_collections": 0,
    "has_collected": true
  },
  "likes": {
    "likes": 0,
    "liked": true
  },
  "meta": {},
  "body": "string",
  "body_links": [
    {
      "id": "cc5lnd2s1s4652adtu50",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "deletedAt": "2019-08-24T14:15:22Z",
      "misc": {},
      "url": "string",
      "slug": "github-com-southclaws-storyden",
      "domain": "github.com",
      "title": "The Open Graph Protocol",
      "description": "The Open Graph protocol enables any web page to become a rich object in a social graph.",
      "favicon_image": {
        "id": "cc5lnd2s1s4652adtu50",
        "filename": "string",
        "path": "string",
        "mime_type": "string",
        "width": 0,
        "height": 0,
        "parent": {
          "id": "cc5lnd2s1s4652adtu50",
          "filename": "string",
          "path": "string",
          "mime_type": "string",
          "width": 0,
          "height": 0,
          "parent": {}
        }
      },
      "primary_image": {
        "id": "cc5lnd2s1s4652adtu50",
        "filename": "string",
        "path": "string",
        "mime_type": "string",
        "width": 0,
        "height": 0,
        "parent": {
          "id": "cc5lnd2s1s4652adtu50",
          "filename": "string",
          "path": "string",
          "mime_type": "string",
          "width": 0,
          "height": 0,
          "parent": {}
        }
      }
    }
  ]
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}